# Příklad: knihovna
# objekty typu Book reprezentují knihy


class Book:
    def __init__(self, author, title, isbn):
        self.author = author
        self.title = title
        self.isbn = isbn


# takto vytváříme knihy
dune = Book("Frank Herbert", "Dune", "978-0441172719")
temno = Book("Bohuslav Balcar & Petr Štěpánek",
             "Teorie množin", "80-200-0470-X")

# formát souboru s databází knih:
# autor;název;isbn
# (tzv. CSV formát, dá se importovat např. do Excelu)


# načtení seznamu knih ze souboru
def load_library(filename):
    book_list = []
    with open(filename, "r") as f:
        for line in f:
            a, t, i = line.split(";")
            book_list.append(Book(a, t, i))
    return book_list


# uložení seznamu knih do souboru
def save_library(filename, book_list):
    with open(filename, "w") as f:
        for book in book_list:
            f.write(book.author + ";" +
                    book.title + ";" + book.isbn + "\n")

# zkuste si:

# save_library("library.csv", [dune, temno])
# bl = load_library("library.csv")
# for book in bl:
#     print(book.author + ": " + book.title)
